<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteEventWorkSettingsMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteEventWorkSettings">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="eventId" column="event_id" jdbcType="BIGINT"/>
            <result property="workTypeId" column="work_type_id" jdbcType="BIGINT"/>
        <result property="roundsId" column="rounds_id" jdbcType="VARCHAR"/>
            <result property="alias" column="alias" jdbcType="VARCHAR"/>
            <result property="submissionStartDate" column="submission_start_date" jdbcType="DATE"/>
            <result property="submissionEndDate" column="submission_end_date" jdbcType="DATE"/>
            <result property="submissionTemplateId" column="submission_template_id" jdbcType="BIGINT"/>
            <result property="maxSubmissions" column="max_submissions" jdbcType="INTEGER"/>
            <result property="allowModificationBeforeEvaluation" column="allow_modification_before_evaluation" jdbcType="TINYINT"/>
            <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
            <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,event_id,work_type_id,
        alias,submission_start_date,submission_end_date,
        submission_template_id,max_submissions,allow_modification_before_evaluation,status,
        created_at,updated_at
    </sql>


</mapper>
